Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Class ParamTypes

    java.lang.Object
      |
      +--weblogic.common.ParamTypes

public class ParamTypes
extends java.lang.Object

Class for WebLogic type constants.

Author:
  Copyright (c) 1995-1998 WebLogic, Inc., Copyright (c) 1998-2000 BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `ABBREVSTRING` Constant for a string that should be abbreviated
`static int` | `BLOB` Constant for a blob (binary large object) data type.
`static int` | `BOOLEAN` Constant for a boolean data type.
`static int` | `BYTE` Constant for a byte data type.
`static int` | `CHAR` Constant for a char data type.
`static int` | `DATE` Constant for a date data type.
`static int` | `DOUBLE` Constant for a double data type.
`static int` | `DURATION` Constant for a duration data type.
`static int` | `FLOAT` Constant for a float data type.
`static int` | `IN` Constant for an input stored procedure parameter.
`static int` | `INOUT` Constant for an input/output stored procedure parameter.
`static int` | `INT` Constant for an integer data type.
`static int` | `LONG` Constant for a long data type.
`static int` | `NOTYPE` Constant for an indeterminate data type.
`static int` | `OBJECT` Constant for an object
`static int` | `OUT` Constant for an output stored procedure parameter.
`static int` | `RECORDS` Constant for records
`static int` | `SCALAR` Constant for a scalar.
`static int` | `SHORT` Constant for shorts
`static int` | `STRING` Constant for a string data type.
`static int` | `UNKNOWN` Constant for an unknown type.
`static int` | `UNKNOWN_TYPE` Constant for an unknown data type.
`static int` | `UNKNOWNPARAMTYPE` Constant for an unknown parameter type.
`static int` | `VECTOR` Constant for a vector.

Constructor Summary
`ParamTypes()`

Method Summary
`static java.lang.String` | `toString(int type)` Returns the string representation of a ParamType constant.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_TYPE

    public static final int UNKNOWN_TYPE

  Constant for an unknown data type.

### BOOLEAN

    public static final int BOOLEAN

  Constant for a boolean data type.

### BYTE

    public static final int BYTE

  Constant for a byte data type.

### INT

    public static final int INT

  Constant for an integer data type.

### LONG

    public static final int LONG

  Constant for a long data type.

### DOUBLE

    public static final int DOUBLE

  Constant for a double data type.

### FLOAT

    public static final int FLOAT

  Constant for a float data type.

### CHAR

    public static final int CHAR

  Constant for a char data type.

### STRING

    public static final int STRING

  Constant for a string data type.

### DATE

    public static final int DATE

  Constant for a date data type.

### DURATION

    public static final int DURATION

  Constant for a duration data type.

### BLOB

    public static final int BLOB

  Constant for a blob (binary large object) data type.

### NOTYPE

    public static final int NOTYPE

  Constant for an indeterminate data type.

### OBJECT

    public static final int OBJECT

  Constant for an object

### ABBREVSTRING

    public static final int ABBREVSTRING

  Constant for a string that should be abbreviated

### RECORDS

    public static final int RECORDS

  Constant for records

### SHORT

    public static final int SHORT

  Constant for shorts

### IN

    public static final int IN

  Constant for an input stored procedure parameter.

### OUT

    public static final int OUT

  Constant for an output stored procedure parameter.

### INOUT

    public static final int INOUT

  Constant for an input/output stored procedure parameter.

### UNKNOWNPARAMTYPE

    public static final int UNKNOWNPARAMTYPE

  Constant for an unknown parameter type.

### UNKNOWN

    public static final int UNKNOWN

  Constant for an unknown type.

### SCALAR

    public static final int SCALAR

  Constant for a scalar.

### VECTOR

    public static final int VECTOR

  Constant for a vector.

Constructor Detail

### ParamTypes

    public ParamTypes()

Method Detail

### toString

    public static java.lang.String toString(int type)

  Returns the string representation of a ParamType constant.

  Parameters:
    `type` - Constant from this class
  Returns:
    What it represents

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD